Subject: Re: bug#48479: 28.0.50; Crash on `read--expression'

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 May 2021 20:58:59 +0200

Mattias Engdegård <[email-masked]> writes:

> 19 maj 2021 kl. 16.53 skrev Lars Ingebrigtsen <[email-masked]>:
>
>> I thought we did warn about this, but some testing now seems to indicate
>> that we don't?
>
>  (condition-case nil t nil)
>
> definitely elicits a warning by the byte-compiler (not about the
> syntax per se but about `nil` not being a condition). Or were you
> thinking about something else?

I was thinking of the

(condition-case nil
    (foo)
  (error))

case...  (I.e., with a missing handler body.)  I'm not sure whether
that's supposed to or not.  A handler is defined as

(CONDITIONS BODY...)

but a BODY in many other circumstances are allowed to be missing.

Also note that

(condition-case nil
    (foo))

doesn't give a warning.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no